$ = jQuery;
$(document).ready(function () {
    var width = document.body.clientWidth;

    $("#menuOpen").click(function (e) {
        $(this).toggleClass("opened");
    });

    $("select").selbel();

    var nextYear = moment.tz($('#timeset').data('timer'), $('#timeset').data('localize'));

    $('.eTimer').countdown(nextYear.toDate(), function(event) {
        $(this).html(event.strftime('<div class="etUnit etDays"><div class="etWr"><div class="etNumber">%D </div></div><div class="etSign">Day</div></div><div class="etSep">:</div><div class="etUnit etHours"><div class="etWr"><div class="etNumber">%H</div></div><div class="etSign">Hrs</div></div><div class="etSep">:</div><div class="etUnit etMinutes"><div class="etWr"><div class="etNumber">%M</div></div><div class="etSign">Min</div></div><div class="etSep">:</div><div class="etUnit etSeconds"><div class="etWr"><div class="etNumber">%S</div></div><div class="etSign">Sec</div></div>'));
    });

    //popup
    $('#pop1 input[type="checkbox"]').prop('checked', false);
    $('#pop1 input[type="checkbox"]').change(function(){
        var t = $(this);
        if(t.prop('checked') === true) {
            t.parents('label').next().slideToggle();
        } else {
            t.parents('label').next().slideToggle();
        }
        return false;
    });
    $('#pop2 input[type="checkbox"]').prop('checked', false);
    $('#pop2 input[type="checkbox"]').change(function(){
        var t = $(this);
        if(t.prop('checked') === true) {
            t.parents('label').next().slideToggle();
        } else {
            t.parents('label').next().slideToggle();
        }
        return false;
    });

    $("a.button").click(function (e) {
        e.preventDefault();
        $('body').css('overflow', 'hidden');
        $('#pop1').fadeIn(500, function () {
            $(this).addClass('opened');
        });
    });


    $(".pop-time").click(function (e) {
        $(this).prev().addClass("currentTimeBlock");
        $('body').css('overflow', 'hidden');
        $('#pop-time').fadeIn(500, function () {
            $(this).addClass('opened');
        });
        return false;
    });





    $('.popup .close, .popup .shadow').click(function () {

        if($("#pop-time").hasClass("opened")) {
            $(".currentTimeBlock").removeClass("currentTimeBlock");
            $('#pop-time').removeClass('opened').fadeOut(500);
            if(!$(".popup").hasClass("opened")) {
                $('body').removeAttr('style');
            }
        }
        else {
            $('body').removeAttr('style');
            $('.popup').removeClass('opened').fadeOut(500);
        }

    });


    function toTimeZone(time_start, time_end, zone, t) {

        moment.locale('en');
        var format = 'YYYY/MM/DD HH:mm:ss ZZ';
        var format0 = 'Z';
        var format1 = 'dddd: MMMM DD';
        var format2 = 'HH:mm';
        var format3 = 'MMMM';
        var format4 = 'DD';

        var ts0 = moment(time_start, format).tz(t.data('localize')).format(format0).replace(/0/g,"").replace(":","");
        ts0 = -1*ts0;
        var ts = moment.utc(time_start, format).tz(t.data('localize')).add(ts0, 'hours').format(format);

        var mom1 = moment(ts, format).tz(zone).format(format1),
            mom2 = moment(ts, format).tz(zone).format(format2),
        //mom23 = moment(time_end, format).tz(zone).format(format2),
            mom3 = moment(ts, format).tz(zone).format(format3),
            mom4 = moment(ts, format).tz(zone).format(format4);

        $("h3", t).text(mom1);
        $("p", t).html(mom2+" <span>"+zone.replace("_"," ")+"</span>");
        $("input", t).val(mom1+", "+mom2+", "+zone.replace("_"," "));
        //$("span", t.parent().prev()).text(mom3);
        //$("mark", t.parent().prev()).text(mom4);
    }

    $(".timecurzone").each(function(){
        toTimeZone( $(this).data('timer-start'), $(this).data('timer-end'), $(this).data('localize'), $(this));
    });

    $("#submitcurtimezone").click(function(){
        toTimeZone($(".currentTimeBlock").data('timer-start'), $(".currentTimeBlock").data('timer-end'), $("#timezonelist").val(), $(".currentTimeBlock"));
        $('body').removeAttr('style');
        $('#pop-time.popup').removeClass('opened').fadeOut(500);
        $(".currentTimeBlock").removeClass("currentTimeBlock");
        return false;
    });


    var hash = window.location.hash;

    if(hash == "#popup"){
        $('body').css('overflow', 'hidden');
        $('#pop2').fadeIn(500, function () {
            $(this).addClass('opened');
        });
    }

    setTimeout(function () {
        window.getCookie = function (name) {
            match = document.cookie.match(new RegExp(name + '=([^;]+)'));
            if (match) return match[1];
        };

        if (getCookie("hide_exit_popup_5") != "hide") {

            document.addEventListener("mousemove", function (e) {

                if (e.pageY > 10) {
                    $("body").addClass("show_exit");
                }

                var scroll = window.pageYOffset || document.documentElement.scrollTop;

                if ((e.pageY - scroll) < 7 && !$('#pop2').hasClass('opened') && getCookie("hide_exit_popup_5") != "hide" && $("body").hasClass("show_exit")) {

                    $('body').css('overflow', 'hidden');
                    $('#pop2').fadeIn(500, function () {
                        $(this).addClass('opened');
                    });
                    var hide_exit_popup = 'hide_exit_popup_5=hide;';
                    document.cookie = hide_exit_popup;


                }

            });
        }
    }, 5E3);

    $(function(){
        var mail_valid=/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/,phone_valid=/^[0-9-+()]+$/; $(".bmail_form").submit(function(){var b=$(this);$(".bmail_form *",b).removeClass("b_err");var a=0;$(".b_req",b).each(function(){if(!$(this).val()||$(this).hasClass("b_mail")&&!mail_valid.test($(this).val().toLowerCase())||$(this).hasClass("b_phone")&&!phone_valid.test($(this).val().toLowerCase()))a+=1,$(this).addClass("b_err")});if(0<a)return!1;$.ajax({type:"POST",url:"/mail.php",data:$(this).serialize()+"&to="+$(this).attr("data-to"),success:function(a){"1"==a?($(b).trigger("reset"),$("input[type=submit]", b).after('<div style="font-size:11px;color:#090;font-weight:700;text-shadow:1px 1px 0 #dadada">Your message was sent successfully</div>').remove()):alert("Error")}});return!1});$("body").on("mouseover","input.b_err",function(){$(this).removeClass("b_err")});$("body").append("<style>.b_err{border-color:#f00 !important;-moz-box-shadow:inset 0 0 0 2px #ea1313 !important;-webkit-box-shadow:inset 0 0 0 2px #ea1313 !important;box-shadow:inset 0 0 0 2px #ea1313 !important}</style>");});
});

(function($){
    $.fn.selbel = function(settings) {
        var defaults = {
                onChange: function(){},
                label: ''
            },
            options = $.extend(defaults, settings);

        return this.each(function () {
            var el = $(this),
                sb_label = options.label ? '<label>' + options.label + '</label>' : '';
            if (!el.hasClass('selbel')) { el.addClass('selbel'); }
            el.each(function() {
                $(this).wrap("<span class='selbel_w' />").after(sb_label + '<span>' + $('*:selected', this).text() + '</span>');
            });
            el.change(function() {
                $(this).next().text($('*:selected', this).text());
                if(options.onChange) options.onChange.call(this);
            });
        });
    };
})(jQuery);